# $Revision: 1.14 $, $Date: 2011/02/05 13:05:50 $
%define		subver	b1
%define		rel		2
Summary:	Patchsets for CVS
Summary(pl.UTF-8):	Zestawy łatek dla CVS
Name:		cvsps
Version:	2.2
Release:	0.%{subver}.%{rel}
License:	GPL
Group:		Development/Version Control
Source0:	http://www.cobite.com/cvsps/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	997580e8e283034995b9209076858c68
# Fixes made by git people, see:
# http://ydirson.free.fr/en/software/scm/cvsps.html
Patch0:		%{name}-fixes.patch
Patch1:		commitid.patch
URL:		http://www.cobite.com/cvsps/
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CVSps is a program for generating 'patchset' information from a CVS
repository. A patchset in this case is defined as a set of changes
made to a collection of files, and all committed at the same time
(using a single 'cvs commit' command). This information is valuable to
seeing the big picture of the evolution of a cvs project. While cvs
tracks revision information, it is often difficult to see what changes
were committed 'atomically' to the repository.

%description -l pl.UTF-8
CVSps jest programem do generowania informacji o 'zestawie łatek'
(ang. patchset) z repozytorium CVS. Patchset w tym przypadku jest
zdefiniowany jako zbiór zmian dokonanych na kolekcji plików wysłanych
w tym samym momencie (za pomocą jednego wywołania 'cvs commit'). Ta
informacja jest przydatna do śledzenia procesu rozwoju projektu w CVS.
Choć CVS śledzi informacje o rewizjach, obejrzenie zmian wysłanych
'atomowo' do repozytorium nie jest rzeczą łatwą.

%prep
%setup -q -n %{name}-%{version}%{subver}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p cvsps $RPM_BUILD_ROOT%{_bindir}
cp -a cvsps.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cvsps.spec,v $
Revision 1.14  2011/02/05 13:05:50  glen
- add commitid patch from opensuse; rel 2

Revision 1.13  2011/01/31 07:47:10  glen
- up to 2.2b1:
  - add a new line item in the PatchSet output which indicates which
    branches fork off from after this PatchSet.  This is actually
    the only way to correctly indicate the branching.  The 'Ancestor
    Branch' thing is actually broken by design, and is now deprecated.
  - sometimes cvs log has a timezone in it (from Ludwig Nussel)
  - better buffer size handling

Revision 1.12  2011/01/31 06:20:29  glen
- release 5

Revision 1.11  2009/04/28 22:45:16  glen
- release 4

Revision 1.10  2009/04/23 10:12:20  glen
- release 3

Revision 1.9  2008/01/24 00:35:22  glen
- needed CFLAGS apparently no more in CFLAGS

Revision 1.8  2007-11-10 19:11:56  arekm
- rel 2; add some fixes made by git people

Revision 1.7  2007/02/14 19:17:25  aredridel
- 2.1

Revision 1.6  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.4  2005/05/31 16:10:21  zbyniu
- BR: zlib-devel

Revision 1.3  2004/11/17 17:32:32  qboosh
- unification

Revision 1.2  2004/11/10 19:26:01  adamg
- proper version (we do not add rc1 in Version, but keep these in Release)
- pl summary/description
- pass CC and CFLAGS
- added %doc (CHANGELOG and README)

Revision 1.1  2004/11/10 18:50:22  aredridel
- added
